<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <mb-button
    mbButtonAvailableStyle="BORDER"
    mbButtonSize="LARGE"
    mbButtonText="{{ 'development.proposed-unit.button.mergeDV' | translate }}"
    [mbIsDisable]="checkNumMerge()"
    (click)="mergePropose()">
  </mb-button>
</div>
<nz-card class="search-bar">
  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        [(ngModel)]="params.signerName"
        name="signerName"
        [mbMaxLength]="20"
        mbLabelText="{{ 'development.promulgate.search.signerCode' | translate }}"
        mbPlaceholderText="{{ 'development.promulgate.search.signerCode' | translate }}"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        [(ngModel)]="params.publishContent"
        name="employeeCode"
        [mbMaxLength]="20"
        mbLabelText="{{ 'development.proposed-unit.table.promulgatedContent' | translate }}"
        mbPlaceholderText="{{ 'development.proposed-unit.table.promulgatedContent' | translate }}"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <span class="rangeDateTitle">{{ 'development.proposed-unit.table.timeCreateIssued' | translate }}</span>
      <nz-range-picker
        class="rangeDate"
        [(ngModel)]="params.timeCreateIssued"
        nzFormat="dd/MM/yyyy"
        [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
      ></nz-range-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [mbDataSelects]="dataCommon?.flowStatusPublishConfigList"
        [(ngModel)]="params.publishStatus"
        mbKeyValue="key"
        mbKeyLabel="role"
        mbPlaceholder="{{ 'development.proposed-unit.table.statusIssued' | translate }}"
        mbLabelText="{{ 'development.proposed-unit.table.statusIssued' | translate }}"
      ></mb-select>
    </div>
  </div>
  <div *ngIf="isExpand">
    <div nz-row [nzGutter]="[16, 8]">
      <div nz-col class="gutter-row" nzLg="6">
        <span class="rangeDateTitle">{{ 'development.proposed-unit.table.dayApproveIssued' | translate }}</span>
        <nz-range-picker
          class="rangeDate"
          [(ngModel)]="params.dayApproveIssued"
          nzFormat="dd/MM/yyyy"
          [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
        ></nz-range-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.publishCode"
          name="employeeCode"
          [mbMaxLength]="20"
          mbLabelText="Mã ban hành"
          mbPlaceholderText="Mã ban hành"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.empCode"
          name="employeeCode"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.promulgate.search.empCode' | translate }}"
          mbPlaceholderText="{{ 'development.promulgate.search.empCode' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.empName"
          name="employeeCode"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.promulgate.search.empName' | translate }}"
          mbPlaceholderText="{{ 'development.promulgate.search.empName' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.currentUnit"
          mbLabelText="{{ 'development.promulgate.search.currentUnit' | translate }} "
          mbPlaceholder="{{ 'development.promulgate.search.currentUnit' | translate }} "
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [(ngModel)]="params.currentTitle"
          mbLabelText="{{ 'development.promulgate.search.currentTitle' | translate }} "
          mbPlaceholder="{{ 'development.promulgate.search.currentTitle' | translate }} "
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.proposeUnit"
          mbLabelText="{{ 'development.promulgate.search.proposeUnit' | translate }} "
          mbPlaceholder="{{ 'development.promulgate.search.proposeUnit' | translate }} "
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [(ngModel)]="params.contentTitle"
          mbLabelText="{{ 'development.promulgate.search.proposeTitle' | translate }} "
          mbPlaceholder="{{ 'development.promulgate.search.proposeTitle' | translate }} "
        ></mb-select>
      </div>
    </div>
  </div>
  <div class="block-action-search">
    <mb-button
      mbButtonAvailableStyle="DEFAULT"
      mbButtonSize="LARGE"
      mbButtonText="{{ 'development.formLD.button.search' | translate }}"
      (click)="search(1)"
    >
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="VERY_LARGE"
      (click)="collapseExpand()"
    >
        <span>
          <em nz-icon nzType="{{ iconStatus }}"></em>
        </span>
    </mb-button>
    <mb-button
      mbButtonAvailableStyle="BORDER"
      mbButtonSize="LARGE"
      (click)="exportExcel()"
    >
      <img class="excelIcon" src="assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table (changePageNum)='search($event)' [tableConfig]="tableConfig" [tableData]="dataTable"
            [heightTable]="heightTable"
            (onDblClickNode)="detail($event)">
  </mb-table>
</mb-table-wrap>

<ng-template #checkboxHeader>
  <div class="text-center" nz-checkbox [nzChecked]="checked" (nzCheckedChange)="onAllChecked($event)"></div>
</ng-template>

<ng-template #labelSameDecision let-sameDecision = 'sameDecision'>
  <label nz-checkbox class="checkbox-table" [ngModel]="sameDecision" [disabled]="true"></label>
</ng-template>

<ng-template #checkbox let-indexFix = 'indexFix'>
  <label
    nz-checkbox
    [nzChecked]="quantityMap.has(indexFix)"
    (nzCheckedChange)="onItemChecked2(indexFix, $event)"
    *ngIf="showCheckBox(indexFix)"
  ></label>
</ng-template>

<ng-template #tag let-publishStatusDisplay = 'publishStatusDisplay'>
  <nz-tag [nzColor]="displayStatusApprove(publishStatusDisplay)"
          *ngIf="publishStatusDisplay">
    {{publishStatusDisplay}}
  </nz-tag>
</ng-template>

<ng-template #actionListEmpIssued let-indexFix = 'indexFix'
             let-publishCode = 'publishCode'
             let-publishStatus = 'publishStatus'
             let-createdBy = 'createdBy'
>
  <div *ngIf="publishCode && publishStatus === flowCodeConstants.DongY10A && user === createdBy">
    <span (click)="deleteIssuedGroup(indexFix)">
    <em nz-icon nzType="delete"></em>
  </span>
  </div>
</ng-template>

<ng-template
  #releaseDate
  let-releaseDate="releaseDate"
>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="releaseDate"></em>
  <span class="effectiveDate">{{ releaseDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template
  #effectiveDate
  let-effectiveDate="effectiveDate"
>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="effectiveDate"></em>
  <span class="effectiveDate">{{ effectiveDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template
  #effectiveEndDate
  let-effectiveEndDate="effectiveEndDate"
>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="effectiveEndDate"></em>
  <span class="effectiveDate">{{ effectiveEndDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>

<ng-template
  #publishCodeReleaseDate
  let-publishCodeReleaseDate="publishCodeReleaseDate"
>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="publishCodeReleaseDate"></em>
  <span class="effectiveDate">{{ publishCodeReleaseDate | date: 'dd/MM/yyyy' }}</span>
</ng-template>
